<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="calculadora2.css">
    <title>Document</title>
</head>
<body>
    <div id="cal">
        <div class="mostrar"></div>
        <div class="botones">
            <button href="C" class="acero">C</button>
            <button class="mameno">&plusmn;</button>
            <button class="divi">÷</button>
            <button class="por">X</button>
            <button class="numero7">7</button>
            <button class="numero8">8</button>
            <button class="numero9">9</button>
            <button class="menos">-</button>
            <button class="numero4">4</button>
            <button class="numero5">5</button>
            <button class="numero6">6</button>
            <button class="mas">+</button>
            <button class="numero1">1</button>
            <button class="numero2">2</button>
            <button class="numero3">3</button>
            <button class="igual">=</button>
            <button class="numero0">0</button>
            <button class="punto">.</button>
        </div>
    </div>

    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
        $(document).ready(function(){
            $(".numero1").click(function(){
                $('div.mostrar').text('1');
            });
        });
    </script>
</body>
</html>